*standard IEEE802.3ap Signaling a-hoc simulation

*  all contents of this file are optional except where noted.  

*Before running an hspice simulation with this control file:
*   link or copy one of:
*   NRZ.inc
*   duoBinary.inc
*   PAM4.inc
*   to Signaling.inc

*   for initial simulations link or copy:
*   NRZshort.inc or PAM4short.inc
*   to  TxData.inc
*   note:  for duoBinary, use NRZshort.inc
*   and set simBits="400+bitrate*pathDelay" or more
*
*   for final simulations link or copy 
*   NRZflong.inc or PAM4flong.inc
*   to  TxData.inc
*   note:  for duoBinary, use NRZshort.inc
*   and set simBits="100000+bitrate*pathDelay" or more
*
*   also link or copy your Receiver model to Rx.inc
*   your Rx model must contain a hspice subcircuit named Rx with
*   the following nodes in order:
*   positive input
*   negative input
*   for  NRZ, 0 referenced output "EYE"
*   for  duo-binary, 0 reference upper and lower "EYEs"  
*   for  PAM4, 0 referenced upper, middle, and lower "EYE"
*   a reference node
*   the model may contain whatever pass parameters or internally 
*   defined parameters as needed


.options list node post

.param  TxTap1=-.38  TxTap2=-.03  TxTermOffset=0 RxTermOffset=0
.param  interferenceMargin=.1
*  Transmitter tap values.  
*  treating bits as being -1, +1 rather than 0,1
*for NRZ or duo-binary,  if the bits to be transmitted are B[i]
*  then the differential transmitted value at time step n will be
*           0.4 * (B[n-1]*TxTap1 + B[n]*TxTap0 + B[n+1]*TxTap2)
*for PAM4 if the MSB bits to be transmitted are M[i] and the LSB bits L[i]
*   then the differential transmitted value at time step n will be:
*           0.8/3 * (M[n-2]*TxTap2 + M[n-1]*TxTap1 + M[n]*TxTap0) +
*           0.4/3 * (L[n-2]*TxTap2 + L[n-1]*TxTap1 + L[n]*TxTap0)
*     with TxTap0 =  1- |TxTap1| - |TxTap2|  
*     for both

*   set patDelay to delay through channel plus ~400ps for package delay 
*   plus something receiver dependent for receiver to settle once valid
*   starts to arrive

.param  pathDelay=10n
.param  simBits="400+bitrate*pathDelay"

* the following line is mandatory:
.include  "Signaling.inc"
.end
